Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1166
Crash when launching in QT Winamp Classic interface (qtpbfimageformat related)

April 09, 2022 16:28 - Eric Lawler
Priority: Major Due date:

Assignee: % Done: 100%
Category: plugins/skins-qgt Estimated time: 0.00 hour
Target version: 4.2

Affects version: 41

Description

Hey, John.

After a recent-ish upgrade to Fedora 34, Audacious 4.1-2.fc34.x86_64 now crashes when configured to use the Winamp Classic Ul.

QFontDatabase: Must construct a QGuiApplication before accessing QFontDatabase

Aborted (core dumped)

If | toggle off the Winamp Classic Interface config setting in plugin-registry, it loads fine. Then enabling the Classic skin at runtime

works fine--the app is happy to run for days.

| don't know which library versions would be helpful.

[eric@kohlenstoff audacious]$ rpm -ga | grep gt | sort
dbusmenu-gt-0.9.3-0.26.20160218.fc34.x86_64
dbusmenu-gt5-0.9.3-0.26.20160218.fc34.x86_64
gstreamerl-plugins-good-gt-1.19.1-2.1.18.4.fc34.x86_64
polkit-gt5-1-0.113.0-6.fc34.x86_64
poppler-gt5-21.01.0-7.£fc34.x86_64
gpdfview-qgqt5-0.4.18-6.fc34.x86_64
qt-4.8.7-61.£c34.x86_64
gt5-gtbase-5.15.2-22.fc34.x86_64
gt5—-gtbase—-common-5.15.2-22.fc34.noarch
gt5-gtbase-devel-5.15.2-22.£fc34.x86_64
gt5-gtbase-gui-5.15.2-22.fc34.x86_64
gt5-gtdeclarative-5.15.2-7.£fc34.x86_64
gt5-gtdeclarative-devel-5.15.2-7.£fc34.x86_64
gt5-gtlocation-5.15.2-5.fc34.x86_64
gtS5-gtmultimedia-5.15.2-3.£fc34.x86_64
gt5-gtpbfimageformat-2.3-3.£c34.x86_64
gt5-gtscript-5.15.2-3.£fc34.x86_64
gt5-gtsensors-5.15.2-4.fc34.x86_64
gt5-gtspeech-5.15.2-3.fc34.x86_64
gt5-gtspeech-speechd-5.15.2-3.fc34.x86_64
qgt5-gtsvg-5.15.2-4.£fc34.x86_64
gt5-gtwayland-5.15.2-14.fc34.x86_64
gt5-gtwebchannel-5.15.2-3.£fc34.x86_64
gt5-gtwebkit-5.212.0-0.59.alpha4d.fc34.x86_64
gt5-gtwebkit-devel-5.212.0-0.59.alphad4.fc34.x86_64
gtb-gtxllextras-5.15.2-3.fc34.x86_64
gt5-rpm-macros-5.15.2-2.fc34.noarch
gt5-srpm-macros-5.15.2-2.fc34.noarch
gt—-common-4.8.7-61.fc34.noarch
gt-settings-34.7-2.fc34.noarch
gt-x11-4.8.7-61.£fc34.x86_64
sni-gqt-0.2.7-0.8.20170217.£c34.x86_64
Thanks again for all the work you put into this program--it's still the most intuitive and powerful media player for a long-time Winamp
user across all platforms.

History

#1 - April 10, 2022 01:48 - John Lindgren
Interesting. | grep'ped for QFontDatabase in our code, and we don't use it directly.

Can you provide a debugger backtrace of the crash? Alse-what-version-of Qt-are-youusing?

Edit: saw that you already provided Qt versions, thanks.

#2 - April 10, 2022 01:53 - John Lindgren

Some others were having a similar issue in Fedora 33 apparently:
https://redmine.audacious-media-player.org/boards/1/topics/2748

Based on the workaround in that thread, can you try uninstalling gt5-gtpbfimageformat (it's not required for Audacious) and see if that fixes the issue?

#3 - April 10, 2022 02:01 - Eric Lawler

John Lindgren wrote:

Some others were having a similar issue in Fedora 33 apparently:
https://redmine.audacious-media-player.org/boards/1/topics/2748

Based on the workaround in that thread, can you try uninstalling gt5-gtpbfimageformat (it's not required for Audacious) and see if that fixes the
issue?

Ah! | did a quick DDG for that error message and didn't see anything salient; | didn't even know Audacious had forums. Nothing else on my system
required gtpbfimageformat ("Qt image plugin for displaying Mapbox vector tiles"), so it was no problem to remove. That fixes the crash.

I've never worked with Mapbox directly, | have no idea what pulled in that library. Suspicious.

Thanks for the quick response, enjoy your weekend!

#4 - April 10, 2022 02:21 - John Lindgren

Okay | was able to reproduce here on Arch Linux after installing gt5-pbfimageplugin from AUR.

The backtrace here is:
#0 0x00007ffff772134c in __pthread_kill_implementation () at /usr/lib/libc.so.6

#1 0x00007ffff76d44b8 in raise () at /usr/lib/libc.so.6
#2 0x00007ffff76be534 in abort () at /usr/lib/libc.so.6
#3 0x00007ffff7208ee4 in gt_assert (char const*, char const*, int) () at /usr/lib/libQt5Core.so.5
#4 0x00007fffel864884 in () at /usr/lib/1ibQt5Gui.so.5
#5 0x00007fffcc6d9767 in fonts() () at src/font.cpp:62
#6 0x00007fffcc6dcbad in matchFamily (family=...) at src/font.cpp:101
#7 Font::fromJsonArray (QJsonArray const&) (json=...) at src/font.cpp:123
#8 0x00007fffcc6d3402 in Style::Layer::Layout::Layout (QJsonObject consté&)
(this=0x7fffffffdl160, Jjson=..., this=<optimized out>, json=<optimized out>) at src/style.cpp:369
#9 0x00007fffcc6d5823 in Style::Layer::Layer (QJsonObject consté&)
(this=0x7fffffffd560, json=..., this=<optimized out>, json=<optimized out>) at src/style.cpp:500

#10 0x00007fffccoed67fc in Style::load(QString consté&) (this=<optimized out>, fileName=<optimized out>)
at src/style.cpp:598
#11 0x00007fffcc6d80ed4 in PBFPlugin::PBFPlugin() (this=0x5555575a8810, this=<optimized out>) at src/pbfplugin.
cpp:16
#12 0x00007fffcc6e7ff7 in gt_plugin_instance() () at /usr/src/debug/QtPBFImagePlugin-2.3/moc_pbfplugin.cpp:124
#13 0x00007f£f££73£f08e0 in () at /usr/lib/libQt5Core.so.5
#14 0x00007ffff73ea635 in QFactoryLoader::instance (int) const () at /usr/lib/libQt5Core.so.5
#15 0x00007fffel91776d in () at /usr/lib/1ibQt5Gui.so.5
#16 0x00007fffel918f44 in () at /usr/lib/1ibQt5Gui.so.5
#17 0x00007fffel91al78 in QImageReader::read(QImage*) () at /usr/lib/l1ibQt5Gui.so.5
#18 0x00007fffel91b30b in QImageReader::read() () at /usr/lib/1ibQt5Gui.so.5
#19 0x00007fffel8ffd7e in QImage::load(QString consté&, char const*) () at /usr/lib/1ibQt5Gui.so.5
#20 0x00007fffcca6bb5c0 in skin_load_pixmap_id (path=0x5555555blcel0 "/usr/share/audacious/Skins/Default", id=SK
IN_MAIN)
at skin.cc:108
#21 skin_load_pixmaps (path=0x5555555blcel0 "/usr/share/audacious/Skins/Default") at skin.cc:212
#22 skin_load_data (path=0x5555555blcel "/usr/share/audacious/Skins/Default") at skin.cc:244
#23 skin_load (char const*) (path=0x5555555blcel "/usr/share/audacious/Skins/Default") at skin.cc:270
#24 0x00007fffcca68653 in load_initial_skin () at plugin.cc:120
#25 QtSkins::init () (this=<optimized out>) at plugin.cc:169
#26 0x00007fff£7£55625 in interface_load (plugin=0x5555555be4al) at interface.cc:72
#27 iface_plugin_set_current (PluginHandle*) (plugin=0x5555555bed4al) at interface.cc:142
#28 0x00007ffff7£6767b in start_plugin(PluginType, PluginHandle*, bool)
(type=type@entry=PluginType::Iface, p=pl@entry=0x5555555bed4al, secondary=secondary@entry=false)
at ../libaudcore/templates.h:224
#29 0x00007ffff7f67a36 in start_required (type=PluginType::Iface) at plugin-init.cc:136
#30 start_plugins (PluginType) (type=type@entry=PluginType::Iface) at plugin-init.cc:169
#31 0x00007ffff7£67c86 in start_plugins_two() () at plugin-init.cc:210
#32 0x00007fff£f7£f6d0b2 in aud_run() () at runtime.cc:342
#33 0x0000555555561c5d in main(int, char**) (argc=<optimized out>, argv=0x7fffffffe8e8) at main.cc:420

Working on a fix.
#5 - April 10, 2022 02:27 - John Lindgren
- % Done changed from 0 to 100

- Target version set to 4.2

- Status changed from New to Closed

- Category set to plugins/skins-qt

- Subject changed from Crash when launching in QT Winamp Classic interface to Crash when launching in QT Winamp Classic interface
(qtpbfimageformat related)

Simple enough fix:
https://github.com/audacious-media-player/audacious-plugins/commit/7f9f51b8c43e5ec844e034c8b9bec2d047f6a616

Thanks for the report, and enjoy your weekend as well!

Files
